extends LimboState

@export var sprite: SpineSprite

func _enter() -> void:
  Messagebus.COCO_STATE.emit(self.name)
  var a = sprite.get_animation_state()
  if a: a.set_animation("jump", false, 0)
  

func _update(delta) -> void:
  #if agent.velocity.y < 0 and !agent.is_on_floor():
    #get_root().dispatch("to_fall")
  if agent.is_on_floor():
    get_root().dispatch("to_move")
  agent.apply_movement(delta)

func _ready() -> void:
  pass # Replace with function body.

func _process(delta: float) -> void:
  pass
